package test.ssoa.jbpm.bpmn;

import java.util.List;

import org.jbpm.api.Execution;
import org.jbpm.api.NewDeployment;
import org.jbpm.api.ProcessInstance;
import org.jbpm.api.task.Task;
import org.jbpm.pvm.internal.model.ExecutionImpl;
import org.jbpm.test.JbpmTestCase;

public class BPMNTest extends JbpmTestCase {

	  protected NewDeployment deployment;
	  protected void setUp() throws Exception {
		    super.setUp();
		    
		    //add user to database
		    identityService.createUser("testUser", "testUser", "testUser", "testUser@test.com");

		    deployment = repositoryService.createDeployment();
		    deployment.addResourceFromClasspath("test/ssoa/jbpm/bpmn/vacationrequest.bpmn.xml");
		    deployment.addResourceFromClasspath("test/ssoa/jbpm/bpmn/request_vacation.ftl");
		    deployment.addResourceFromClasspath("test/ssoa/jbpm/bpmn/verify_request.ftl");
		    deployment.deploy();
		    
	  }
	  
	  protected void tearDown() throws Exception {	
			
			 identityService.deleteUser("testUser");
			 repositoryService.deleteDeploymentCascade(deployment.getId());			 	 
			 super.tearDown();		   
	  }

	  public void testForking()
	  {
		  ProcessInstance processInstance = executionService.startProcessInstanceByKey("vacationRequestProcess");      
		  
		  String pid = processInstance.getId();	
		  
		  //Execution mainExe = executionService.findExecutionById(pid);	  
		  
		  Task requestTasktask = taskService.createTaskQuery().candidate("peter").uniqueResult();      
	      
		  
	  }
}
